export declare const loadListProps: {
    direction: {
        type: StringConstructor;
        default: string;
        validator: (value: any) => boolean;
    };
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    disabled: BooleanConstructor;
    scroller: ObjectConstructor;
    immediateCheck: {
        type: BooleanConstructor;
        default: boolean;
    };
    error: BooleanConstructor;
    errorText: {
        type: StringConstructor;
        default: any;
    };
    loading: BooleanConstructor;
    loadingText: {
        type: StringConstructor;
        default: any;
    };
    finished: BooleanConstructor;
    finishedText: {
        type: StringConstructor;
        default: any;
    };
    delay: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: import("@vue/runtime-core").DefineComponent<{
    direction: {
        type: StringConstructor;
        default: string;
        validator: (value: any) => boolean;
    };
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    disabled: BooleanConstructor;
    scroller: ObjectConstructor;
    immediateCheck: {
        type: BooleanConstructor;
        default: boolean;
    };
    error: BooleanConstructor;
    errorText: {
        type: StringConstructor;
        default: any;
    };
    loading: BooleanConstructor;
    loadingText: {
        type: StringConstructor;
        default: any;
    };
    finished: BooleanConstructor;
    finishedText: {
        type: StringConstructor;
        default: any;
    };
    delay: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}, () => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    direction: {
        type: StringConstructor;
        default: string;
        validator: (value: any) => boolean;
    };
    offset: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    disabled: BooleanConstructor;
    scroller: ObjectConstructor;
    immediateCheck: {
        type: BooleanConstructor;
        default: boolean;
    };
    error: BooleanConstructor;
    errorText: {
        type: StringConstructor;
        default: any;
    };
    loading: BooleanConstructor;
    loadingText: {
        type: StringConstructor;
        default: any;
    };
    finished: BooleanConstructor;
    finishedText: {
        type: StringConstructor;
        default: any;
    };
    delay: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}>>, {
    disabled: boolean;
    error: boolean;
    loading: boolean;
    offset: string | number;
    tiny_mode_root: boolean;
    direction: string;
    delay: string | number;
    loadingText: string;
    immediateCheck: boolean;
    errorText: string;
    finished: boolean;
    finishedText: string;
}, {}>;
export default _default;
